CMakeCXXCompilerId.cpp File Reference

## Macros

#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X) #X
#define | STRINGIFY(X) STRINGIFY_HELPER(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | CXX_STD __cplusplus

## Functions

int | main (int argc, char *argv[])

## Variables

char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_dialect_default

## Macro Definition Documentation

## ARCHITECTURE_ID

#define ARCHITECTURE_ID

## COMPILER_ID

#define COMPILER_ID ""

## CXX_STD

#define CXX_STD __cplusplus

## DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

## HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

## PLATFORM_ID

#define PLATFORM_ID

## STRINGIFY

#define STRINGIFY | ( |  | X | ) | STRINGIFY_HELPER(X)

## STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) | #X

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

## info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

## info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

## info_language_dialect_default

const char* info_language_dialect_default

Initial value:
= "INFO" ":" "dialect_default["
"98"
"]"

## info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"